Subject: Re: bug#25565: mark-whole-buffer and unnecessary (point) call

From: Eli Zaretskii <[email-masked]>
Date: Fri, 28 Apr 2017 11:28:10 +0300

> From: dptd dptd <[email-masked]>
> Date: Sun, 29 Jan 2017 22:46:02 +0200
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> 
> > There should be no colon `:' after `(viper-mark-beginning-of-buffer)',
> > since `(viper-mark-end-of-buffer)' in the next line is in the same file.
> > 
> >> * lisp/cedet/semantic/senator.el (senator-mark-defun):
> >> * lisp/allout.el (allout-mark-topic): Remove unnecessary argument
> >> `(point)' from calls to `push-mark'.
> > 
> > Steve Berman
> 
> I want to contribute to the project but I cannot even prepare the patch file correctly... dammit!
> --------
> From 5f044df2093844b24a692d3aceb846ced7b1b442 Mon Sep 17 00:00:00 2001
> From: Bartosz Duszel <[email-masked]>
> Date: Sun, 29 Jan 2017 14:47:23 +0200
> Subject: [PATCH] Remove unnecessary argument `(point)' from calls to
>  `push-mark'.
> 
> * lisp/textmodes/bib-mode.el (mark-bib):
> * lisp/simple.el (mark-whole-buffer, yank):
> * lisp/ses.el (ses--advice-yank, ses-mark-row, ses-mark-column):
> * lisp/progmodes/xscheme.el (xscheme-yank):
> * lisp/progmodes/verilog-mode.el (verilog-mark-defun):
> * lisp/progmodes/perl-mode.el (perl-mark-function):
> * lisp/progmodes/pascal.el (pascal-mark-defun):
> * lisp/progmodes/meta-mode.el (meta-mark-defun):
> * lisp/progmodes/icon.el (mark-icon-function):
> * lisp/progmodes/cc-cmds.el (c-mark-function):
> * lisp/obsolete/vip.el (ex-goto):
> * lisp/obsolete/vi.el (vi-put-before):
> * lisp/mouse.el (mouse-yank-primary):
> * lisp/menu-bar.el (menu-bar-select-yank):
> * lisp/mail/sendmail.el (mail-yank-original):
> * lisp/hexl.el (hexl-beginning-of-buffer, hexl-end-of-buffer):
> * lisp/emulation/viper-cmd.el (viper-mark-beginning-of-buffer)
> (viper-mark-end-of-buffer):
> * lisp/cedet/semantic/senator.el (senator-mark-defun):
> * lisp/allout.el (allout-mark-topic): Remove unnecessary argument
> `(point)' from calls to `push-mark'.

I've now pushed this in your name to the master branc h, and I'm
marking this bug done.

Thanks for working on this and for persevering.